import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:imi/src/utils/enum.dart';

///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class CreateOrderRequest {
/*
{
  "orderId": 1,
  "paymentType": "ONLINE"
}
*/

  int? orderId;
  PaymentType? paymentType;
  bool? usePoint;

  CreateOrderRequest({
    this.orderId,
    this.paymentType,
    this.usePoint
  });
  CreateOrderRequest.fromJson(Map<String, dynamic> json) {
    orderId = json['orderId']?.toInt();
    paymentType = PaymentType.values
        .firstWhereOrNull((element) => element.name == json['paymentType']);
    usePoint=json['usePoint'];
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['orderId'] = orderId;
    data['paymentType'] = paymentType?.name;
    data['usePoint']=usePoint;
    return data;
  }
}
